

function initialize() {
    var stylez = [
  
   {
       "featureType": "water",
       "elementType": "geometry",
       "stylers": [
           {
               "color": "#23b8bf"
           },
           {
               "lightness": 17
           }
       ]
   },
   {
       "featureType": "landscape",
       "elementType": "geometry",
       "stylers": [
           {
               "color": "#dbdcdd"
           },
           {
               "lightness": 20
           }
       ]
   },
   {
       "featureType": "road.highway",
       "elementType": "geometry.fill",
       "stylers": [
           {
               "color": "#ffffff"
           },
           {
               "lightness": 17
           }
       ]
   },
   {
       "featureType": "road.highway",
       "elementType": "geometry.stroke",
       "stylers": [
           {
               "color": "#ffffff"
           },
           {
               "lightness": 29
           },
           {
               "weight": 0.2
           }
       ]
   },
   {
       "featureType": "road.arterial",
       "elementType": "geometry",
       "stylers": [
           {
               "color": "#ffffff"
           },
           {
               "lightness": 18
           }
       ]
   },
   {
       "featureType": "road.local",
       "elementType": "geometry",
       "stylers": [
           {
               "color": "#ffffff"
           },
           {
               "lightness": 16
           }
       ]
   },
   {
       "featureType": "poi",
       "elementType": "geometry",
       "stylers": [
           {
               "color": "#f5f5f5"
           },
           {
               "lightness": 21
           }
       ]
   },
   {
       "featureType": "poi.park",
       "elementType": "geometry",
       "stylers": [
           {
               "color": "#dedede"
           },
           {
               "lightness": 21
           }
       ]
   },
   {
       "elementType": "labels.text.stroke",
       "stylers": [
           {
               "visibility": "on"
           },
           {
               "color": "#ffffff"
           },
           {
               "lightness": 16
           }
       ]
   },
   {
       "elementType": "labels.text.fill",
       "stylers": [
           {
               "saturation": 36
           },
           {
               "color": "#333333"
           },
           {
               "lightness": 40
           }
       ]
   },
   {
       "elementType": "labels.icon",
       "stylers": [
           {
               "visibility": "off"
           }
       ]
   },
   {
       "featureType": "transit",
       "elementType": "geometry",
       "stylers": [
           {
               "color": "#f2f2f2"
           },
           {
               "lightness": 19
           }
       ]
   },
   {
       "featureType": "administrative",
       "elementType": "geometry.fill",
       "stylers": [
           {
               "color": "#fefefe"
           },
           {
               "lightness": 20
           }
       ]
   },
   {
       "featureType": "administrative",
       "elementType": "geometry.stroke",
       "stylers": [
           {
               "color": "#fefefe"
           },
           {
               "lightness": 17
           },
           {
               "weight": 1.2
           }
       ]
   }
];

   var latlng = new google.maps.LatLng(18.965566, 72.81342), // Stockholm
   
       mapOptions = {
           mapTypeControlOptions: {
               mapTypeIds: [google.maps.MapTypeId.ROADMAP, "Edited"] 
           },
           zoom: 14,
           center: latlng
       },
       
       map = new google.maps.Map(document.getElementById("map_canvas"), mapOptions),
       
       styledMapType = new google.maps.StyledMapType(stylez, {name: "Edited"}),
       
       marker = new google.maps.Marker({
           position: latlng, 
           map: map, 
           animation: google.maps.Animation.DROP,
           title:"Bhatia Hospital"
       }),
       
       infowindow = new google.maps.InfoWindow({
           content: "<h4>Bhatia Hospital</h4><small>Tardeo Road,Mumbai 400 007, India.</small>"
       });
       
       map.mapTypes.set("Edited", styledMapType);
       map.setMapTypeId('Edited');
   
   function toggleBounce () {
       if (marker.getAnimation() != null) {
           marker.setAnimation(null);
       } else {
           marker.setAnimation(google.maps.Animation.BOUNCE);
       }
   }
   
   // Add click listener to toggle bounce
   google.maps.event.addListener(marker, 'click', function () {
       toggleBounce();
       infowindow.open(map, marker);
       setTimeout(toggleBounce, 1500);
   });
}

// Call initialize -- in prod, add this to window.onload or some other DOM ready alternative
initialize();